<template>
  <v-app id="inspire">
    <v-navigation-drawer
      v-model="drawer"
      fixed
      app
    >
    <v-list two-line>
        <template v-for="(item, index) in sidebarItems">
          <v-subheader
            v-if="item.header"
            :key="item.header"
          >
            {{ item.header }}
          </v-subheader>

          <v-divider
            v-else-if="item.divider"
            :key="index"
            :inset="item.inset"
          ></v-divider>

          <v-list-tile
            v-else
            :key="item.title"
            :href="item.link"
          >
            <v-list-tile-avatar>
              <v-icon :class="[item.iconClass]">{{ item.icon }}</v-icon>
            </v-list-tile-avatar>

            <v-list-tile-content>
              <v-list-tile-title v-html="item.title"></v-list-tile-title>
              <v-list-tile-sub-title v-html="item.subtitle"></v-list-tile-sub-title>
            </v-list-tile-content>
          </v-list-tile>
        </template>
      </v-list>
    </v-navigation-drawer>

    <v-toolbar color="lightgrey" fixed dense app>
      <v-toolbar-side-icon @click.stop="drawer = !drawer"></v-toolbar-side-icon>
      <template v-for="(item, index) in menuItems">
        <v-menu offset-y :key="index">
          <template v-slot:activator="{ on }">
            <v-btn color="primary" v-on="on">{{ item.title }}</v-btn>
          </template>
          <v-list>
            <v-list-tile
                v-for="(item, index) in item.submenuItems"
                :key="index"
                :href="item.slug"
                :disabled="item.disabled"
            >
              <v-list-tile-title>{{ item.title }}</v-list-tile-title>
            </v-list-tile>
          </v-list>
        </v-menu>
      </template>
    </v-toolbar>
    <v-content>

      <v-container fluid fill-height>
        <v-layout
          justify-center
          align-center
        >
          <v-flex text-xs-center>
            <v-tooltip left>
              <template v-slot:activator="{ on }">
                <v-btn :href="source" icon large target="_blank" v-on="on">
                  <v-icon large>code</v-icon>
                </v-btn>
              </template>
              <span>Source</span>
            </v-tooltip>

          </v-flex>
        </v-layout>
      </v-container>
    </v-content>
    <v-footer color="indigo" app>
      <span class="white--text">&copy; MedUX</span>
    </v-footer>
  </v-app>
</template>

<script>
  import gql from 'graphql-tag'

  export default {
    data: () => ({
      menuItems: [],
      drawer: null,
      menu: [],
      sidebarItems: [
        { header: "MedUX" },
        { divider: true },
        { title: 'Search', link: "patient/search", icon:"search" },
        { title: 'Agenda', link: "agenda", icon: "calendar_today" },
        { title: 'Laboratory', link: "laboratory", icon: "location_city" },
        { title: 'Ledger', link: "ledger", icon: "attach_money" },
      ]
    }),
    apollo: {
      menuItems: gql`query{menuItems{id,  title, slug, disabled}}`,
    },
    props: {
      source: String
    }
  }
</script>
